MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027039Open CASCADE[OCCT] OCCT:DRAWpublic2015-12-25 15:502016-04-20 15:50
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027039: Draw Harness, ViewerTest - Fix rubber-band blinking
DescriptionRubber-band blinks in Draw Harness due to redundant redraw call.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0025338closedbugmaster MFC standard samples: 3D selection rectangle blinking. 

-  Notes
(0049603)
git (administrator)
2015-12-25 15:56

Branch CR27039 has been created by kgv.

SHA-1: c6354190878525bb696dda17e87a8cbf03d9acd3


Detailed log of new commits:

Author: kgv
Date: Fri Dec 25 15:53:27 2015 +0300

    0027039: Draw Harness, ViewerTest - Fix rubber-band blinking
    
    ViewerTest - eliminate redundant redraw calls.
    Configure AIS_RubberBand to use filled style.
    
    AIS_RubberBand - define vertex normals to workaround transparency issue in TKOpenGl.
(0049604)
kgv (developer)
2015-12-25 15:57

Please test the patch.
(0049642)
apv (tester)
2015-12-28 16:18

Dear BugMaster,

Branch CR27039 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: c6354190878525bb696dda17e87a8cbf03d9acd3

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 134 (134 on master)
products component:
   Linux: 37 (37 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detetced

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 89726747 / 89645053 [+0.09%]
Total CPU difference: 18992.78999999981 / 19154.260000000057 [-0.84%]

Testing on Windows:
Total MEMORY difference: 56792417 / 57193333 [-0.70%]
Total CPU difference: 17650.49914349897 / 18368.47814589909 [-3.91%]
(0052963)
git (administrator)
2016-04-17 13:46

Branch CR27039 has been deleted by kgv.

SHA-1: c6354190878525bb696dda17e87a8cbf03d9acd3

- Related Changesets
occt: master 69adb9ce
Timestamp: 2015-12-25 12:53:27
Author: kgv
Committer: bugmaster
Details ] Diff ]
0027039: Draw Harness, ViewerTest - Fix rubber-band blinking

ViewerTest - eliminate redundant redraw calls.
Configure AIS_RubberBand to use filled style.

AIS_RubberBand - define vertex normals to workaround transparency issue in TKOpenGl.
mod - src/AIS/AIS_RubberBand.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-12-25 15:50 kgv New Issue
2015-12-25 15:50 kgv Assigned To => kgv
2015-12-25 15:51 kgv Description Updated View Revisions
2015-12-25 15:54 kgv Relationship added child of 0025338
2015-12-25 15:56 git Note Added: 0049603
2015-12-25 15:57 kgv Note Added: 0049604
2015-12-25 15:57 kgv Assigned To kgv => bugmaster
2015-12-25 15:57 kgv Status new => resolved
2015-12-25 15:57 kgv Status resolved => reviewed
2015-12-25 17:04 apv Assigned To bugmaster => apv
2015-12-28 15:04 apv Test case number => Not needed
2015-12-28 16:18 apv Note Added: 0049642
2015-12-28 16:18 apv Assigned To apv => bugmaster
2015-12-28 16:18 apv Status reviewed => tested
2016-01-15 16:57 bugmaster Changeset attached => occt master 69adb9ce
2016-01-15 16:57 bugmaster Status tested => verified
2016-01-15 16:57 bugmaster Resolution open => fixed
2016-04-17 13:46 git Note Added: 0052963
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:50 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker